'use strict';

var index = require('./index.js');
var raw = require('./codecs/raw.js');
var json = require('./codecs/json.js');
var base32 = require('./bases/base32.js');
var base64 = require('./bases/base64.js');
var sha2Browser = require('./hashes/sha2-browser.js');

const multiformats = index.create();
multiformats.multihash.add(sha2Browser);
multiformats.multicodec.add([raw, json]);
multiformats.multibase.add([base32, base64]);

module.exports = multiformats;
