'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var assert = _interopDefault(require('assert'));
var index = require('../index.cjs');

/* globals describe, it */
const multiformat = index.create();
const test = it;

describe('errors and type checking', () => {
  test('add argument validation', () => {
    assert.throws(() => multiformat.add());
    assert.throws(() => multiformat.add({ code: 'nope' }), /.*integer code.*/);
    assert.throws(() => multiformat.add({ code: 200, name: () => {} }), /.*string name.*/);
    assert.throws(() => multiformat.add({ code: 200, name: 'blip', encode: false }), /.*encode .* function.*/);
    assert.throws(() => multiformat.add({ code: 200, name: 'blip', encode: () => {}, decode: 'nope' }), /.*decode .* function.*/);
    assert.doesNotThrow(() => multiformat.add({ code: 200, name: 'blip', encode: () => {}, decode: () => {} }));
  });
});
